aboutsummaryrefslogtreecommitdiff
path: root/ci/run-build-and-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/run-build-and-tests.sh')
-rwxr-xr-xci/run-build-and-tests.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/ci/run-build-and-tests.sh b/ci/run-build-and-tests.sh
index 070fc72a..b5398f04 100755
--- a/ci/run-build-and-tests.sh
+++ b/ci/run-build-and-tests.sh
@@ -86,3 +86,8 @@ case "${CHECK-}" in
make -k $j distcheck VERBOSE=${VERBOSE-}
;;
esac
+
+if git status --porcelain |grep '^?'; then
+ echo >&2 'git status reported untracked files'
+ exit 1
+fi